import React from 'react'
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon'

const AtcdIcon: React.FC<SvgIconProps> = (props) => {
  return (
    <SvgIcon viewBox={'0 0 512 512'} {...props}>
      <g strokeWidth="1.5">
        <path
          d="M387.904,267.323h-24.814c-4.33,0-7.839,3.51-7.839,7.839c0,4.329,3.509,7.839,7.839,7.839h24.814
        c4.33,0,7.839-3.51,7.839-7.839C395.743,270.833,392.234,267.323,387.904,267.323z"
        />
        <path
          d="M337.297,267.323h-213.2c-4.329,0-7.839,3.51-7.839,7.839c0,4.329,3.51,7.839,7.839,7.839h213.2
        c4.33,0,7.839-3.51,7.839-7.839C345.136,270.833,341.627,267.323,337.297,267.323z"
        />
        <path
          d="M387.904,323.996H124.097c-4.329,0-7.839,3.51-7.839,7.839c0,4.33,3.51,7.839,7.839,7.839h263.806
        c4.33,0,7.839-3.51,7.839-7.839S392.234,323.996,387.904,323.996z"
        />
        <path
          d="M387.904,380.669H124.097c-4.329,0-7.839,3.51-7.839,7.839c0,4.329,3.51,7.839,7.839,7.839h263.806
        c4.33,0,7.839-3.51,7.839-7.839C395.743,384.178,392.234,380.669,387.904,380.669z"
        />
        <path
          d="M387.904,437.342H320.41c-4.33,0-7.839,3.51-7.839,7.839s3.509,7.839,7.839,7.839h67.494c4.33,0,7.839-3.51,7.839-7.839
        S392.234,437.342,387.904,437.342z"
        />
        <path
          d="M311.163,155.019h-30.042v-30.042c0-4.329-3.51-7.839-7.839-7.839h-34.564c-4.329,0-7.839,3.51-7.839,7.839v30.042
			h-30.042c-4.329,0-7.839,3.51-7.839,7.839v34.564c0,4.329,3.51,7.839,7.839,7.839h30.042v30.042c0,4.329,3.51,7.839,7.839,7.839
			h34.564c4.33,0,7.839-3.51,7.839-7.839V205.26h30.042c4.33,0,7.839-3.51,7.839-7.839v-34.564
			C319.002,158.528,315.493,155.019,311.163,155.019z M303.324,189.582h-30.042c-4.33,0-7.839,3.51-7.839,7.839v30.042h-18.886
			v-30.042c0-4.329-3.51-7.839-7.839-7.839h-30.042v-18.886h30.042c4.329,0,7.839-3.51,7.839-7.839v-30.042h18.886v30.042
			c0,4.329,3.509,7.839,7.839,7.839h30.042V189.582z"
        />
        <path
          d="M427.468,52.442h-69.43V31.136c0-4.329-3.509-7.839-7.839-7.839h-54.708v-0.264C295.492,10.333,285.159,0,272.46,0h-32.92
	c-12.7,0-23.032,10.333-23.032,23.033v0.264h-54.708c-4.329,0-7.839,3.51-7.839,7.839v21.305h-69.43
	c-4.329,0-7.839,3.51-7.839,7.839v98.124c0,4.329,3.51,7.839,7.839,7.839s7.839-3.51,7.839-7.839V68.12h61.59v21.764
	c0,4.329,3.51,7.839,7.839,7.839h188.4c4.33,0,7.839-3.51,7.839-7.839V68.12h61.591v428.203H92.37V184.229
	c0-4.329-3.51-7.839-7.839-7.839s-7.839,3.51-7.839,7.839v319.932c0,4.329,3.51,7.839,7.839,7.839h342.937
	c4.33,0,7.839-3.51,7.839-7.839V60.281C435.307,55.952,431.799,52.442,427.468,52.442z M169.639,82.045V60.281V38.975h54.708
	c4.329,0,7.839-3.51,7.839-7.839v-8.103c0-4.055,3.299-7.355,7.354-7.355h32.92c4.055,0,7.354,3.3,7.354,7.355v8.103
	c0,4.329,3.509,7.839,7.839,7.839h54.708v21.305v21.764H169.639z"
        />
      </g>
    </SvgIcon>
  )
}

export default AtcdIcon
